Main Page Class Hierarchy Compound List File List Compound Members File Members

# pa_subs.h File Reference

`#include <ws_clientII.h>`

Go to the source code of this file.

## Functions
int | AHPA_init (long *OutBufferLen, char *OutDir, int debug)
int | AHPA_next_ev (TRACE_REQ *ptrReq, int nReq, char *OutDir, char *EventDate, char *EventTime, int debug)
int | AHPA_next (TRACE_REQ *getThis, double GapThresh, long OutBufferLen, int debug)
int | AHPA_end_ev (int debug)
int | AHPA_close (int debug)
int | SACPA_init (long OutBufferLen, char *OutDir, char *OutputFormat, int debug)
int | SACPA_next_ev (char *EventID, TRACE_REQ *ptrReq, int nReq, char *OutDir, char *EventDate, char *EventTime, int debug)
int | SACPA_next (TRACE_REQ *getThis, double GapThresh, long OutBufferLen, int debug)
int | SACPA_end_ev (int)
int | SACPA_close (int)
int | SUDSPA_init (int OutBufferLen, char *OutDir, char *OutputFormat, int debug)
int | SUDSPA_next_ev (char *EventID, TRACE_REQ *ptrReq, int nReq, char *OutDir, char *EventDate, char *EventTime, char *EventSubnet, int debug)
int | SUDSPA_next (TRACE_REQ *getThis, double GapThresh, long OutBufferLen, int debug)
int | SUDSPA_end_ev (int debug)
int | SUDSPA_close (int debug)
int | TANKPA_init (char *OutDir, int debug)
int | TANKPA_next_ev (char *EventID, char *OutDir, char *EventDate, char *EventTime, int debug)
int | TANKPA_next (TRACE_REQ *getThis, int debug)
int | TANKPA_end_ev (int debug)
int | TANKPA_close (int debug)

## Function Documentation

int AHPA_close | ( | int | debug | ) |

| Definition at line 387 of file ahputaway.c. Referenced by PA_close().

int AHPA_end_ev | ( | int | debug | ) |

| Definition at line 376 of file ahputaway.c. Referenced by PA_end_ev().

int AHPA_init | ( | long * | OutBufferLen,
|  | char * | OutDir,
|  | int | debug
| ) |

| Definition at line 120 of file ahputaway.c. References AhHead, CreateDir(), EW_FAILURE, EW_SUCCESS, logit(), and mydata. Referenced by PA_init().

int AHPA_next | ( | TRACE_REQ * | getThis,
|  | double | GapThresh,
|  | long | OutBufferLen,
|  | int | debug
| ) |

| Definition at line 173 of file ahputaway.c. References record_info::abstime, TRACE_REQ::actLen, AhHead, station_info::chan, TRACE_HEADER::chan, station_info::code, TRACE_HEADER::datatype, ah_time::day, record_info::delta, TRACE_HEADER::endtime, EW_FAILURE, FLOAT, ah_time::hr, logit(), maxamp(), MAXTXT, ah_time::mn, ah_time::mo, mydata, record_info::ndata, TRACE_HEADER::net, TRACE_HEADER::nsamp, TRACE_REQ::pBuf, ahhed::record, TRACE_HEADER::samprate, ah_time::sec, TRACE_HEADER::sta, TRACE_HEADER::starttime, ahhed::station, station_info::stype, record_info::type, WaveMsgMakeLocal(), xdr_putrecord(), and ah_time::yr. Referenced by PA_next().

int AHPA_next_ev | ( | TRACE_REQ * | ptrReq,
|  | int | nReq,
|  | char * | OutDir,
|  | char * | EventDate,
|  | char * | EventTime,
|  | int | debug
| ) |

| Definition at line 153 of file ahputaway.c. References CreateDir(), EW_FAILURE, EW_SUCCESS, and logit(). Referenced by PA_next_ev().

int SACPA_close | ( | int |  | ) |

| Definition at line 402 of file sacputaway.c. References EW_SUCCESS, logit(), SACPABase_close(), and SACPABase_Debug(). Referenced by PA_close().

int SACPA_end_ev | ( | int |  | ) |

| Definition at line 374 of file sacputaway.c. References EW_SUCCESS, logit(), SACPABase_Debug(), and SACPABase_end_ev(). Referenced by PA_end_ev().

int SACPA_init | ( | long | OutBufferLen,
|  | char * | OutDir,
|  | char * | OutputFormat,
|  | int | debug
| ) |

| Definition at line 253 of file sacputaway.c. References EW_SUCCESS, logit(), SACPABase_Debug(), and SACPABase_init(). Referenced by PA_init().

int SACPA_next | ( | TRACE_REQ * | getThis,
|  | double | GapThresh,
|  | long | OutBufferLen,
|  | int | debug
| ) |

| Definition at line 323 of file sacputaway.c. References TRACE_REQ::chan, EW_SUCCESS, logit(), TRACE_REQ::net, SACPABase_Debug(), SACPABase_end_scn(), SACPABase_next_scn(), SACPABase_write_trace(), and TRACE_REQ::sta. Referenced by PA_next().

int SACPA_next_ev | ( | char * | EventID,
|  | TRACE_REQ * | ptrReq,
|  | int | nReq,
|  | char * | OutDir,
|  | char * | EventDate,
|  | char * | EventTime,
|  | int | debug
| ) |

| Definition at line 281 of file sacputaway.c. References epochsec17(), EW_SUCCESS, logit(), SACPABase_Debug(), and SACPABase_next_ev(). Referenced by PA_next_ev().

int SUDSPA_close | ( | int | debug | ) |

| Definition at line 696 of file sudsputaway.c. Referenced by PA_close().

int SUDSPA_end_ev | ( | int | debug | ) |

| Definition at line 681 of file sudsputaway.c. References logit(). Referenced by PA_end_ev().

int SUDSPA_init | ( | int | OutBufferLen,
|  | char * | OutDir,
|  | char * | OutputFormat,
|  | int | debug
| ) |

| Allocate SudsBuffer and SudsBufferShort We waste RAM by allocating both the long and short buffers here at the beginning of the code because some fluke (feature?) of NT which I don't understand becomes unhappy if we do the allocation later. Win2000, of course, behaves differently, and is quite happy with buffer allocation after we have determined the format of the incoming data Definition at line 97 of file sudsputaway.c. References CreateDir(), EW_FAILURE, EW_SUCCESS, logit(), SudsBuffer, and SudsBufferShort. Referenced by PA_init().

int SUDSPA_next | ( | TRACE_REQ * | getThis,
|  | double | GapThresh,
|  | long | OutBufferLen,
|  | int | debug
| ) |

| Definition at line 238 of file sudsputaway.c. References TRACE_REQ::actLen, SUDS_DESCRIPTRACE::avenoise, SUDS_DESCRIPTRACE::begintime, TRACE_HEADER::chan, SUDS_STATIDENT::component, SUDS_STATIONCOMP::data_type, SUDS_STATIONCOMP::data_units, SUDS_DESCRIPTRACE::datatype, TRACE_HEADER::datatype, DESCRIPTRACE, SUDS_DESCRIPTRACE::dt_name, TRACE_HEADER::endtime, EW_FAILURE, EW_SUCCESS, SUDS_STRUCTTAG::id_struct, SUDS_STRUCTTAG::len_data, SUDS_STRUCTTAG::len_struct, SUDS_DESCRIPTRACE::length, logit(), SUDS_STRUCTTAG::machine, SUDS_DESCRIPTRACE::maxdata, min, SUDS_DESCRIPTRACE::mindata, TRACE_HEADER::net, SUDS_STATIDENT::network, TRACE_HEADER::nsamp, TRACE_REQ::pBuf, SUDS_DESCRIPTRACE::rate, TRACE_HEADER::samprate, SUDS_STATIONCOMP::sc_name, SUDS_STATIDENT::st_name, TRACE_HEADER::sta, TRACE_HEADER::starttime, STATIONCOMP, StructMakeLocal(), SudsBuffer, SudsBufferShort, SwapLong(), SwapShort(), SUDS_STRUCTTAG::sync, and WaveMsgMakeLocal(). Referenced by PA_next().

int SUDSPA_next_ev | ( | char * | EventID,
|  | TRACE_REQ * | ptrReq,
|  | int | nReq,
|  | char * | OutDir,
|  | char * | EventDate,
|  | char * | EventTime,
|  | char * | EventSubnet,
|  | int | debug
| ) |

| Definition at line 148 of file sudsputaway.c. References EVENTID_SIZE, EW_FAILURE, logit(), MAXTXT, TRACE_REQ::net, and SUDSfp. Referenced by PA_next_ev().

int TANKPA_close | ( | int | debug | ) |

| Definition at line 226 of file tankputaway.c. References EW_SUCCESS, and logit(). Referenced by PA_close().

int TANKPA_end_ev | ( | int | debug | ) |

| Definition at line 210 of file tankputaway.c. References EW_SUCCESS, and logit(). Referenced by PA_end_ev().

int TANKPA_init | ( | char * | OutDir,
|  | int | debug
| ) |

| Definition at line 68 of file tankputaway.c. References CreateDir(), EW_FAILURE, EW_SUCCESS, and logit(). Referenced by PA_init().

int TANKPA_next | ( | TRACE_REQ * | getThis,
|  | int | debug
| ) |

| Definition at line 152 of file tankputaway.c. References TRACE_REQ::actLen, TRACE_HEADER::chan, TRACE_HEADER::datatype, EW_FAILURE, EW_SUCCESS, logit(), TRACE_HEADER::net, TRACE_HEADER::nsamp, TRACE_REQ::pBuf, TRACE_HEADER::sta, and WaveMsgMakeLocal(). Referenced by PA_next().

int TANKPA_next_ev | ( | char * | EventID,
|  | char * | OutDir,
|  | char * | EventDate,
|  | char * | EventTime,
|  | int | debug
| ) |

| Definition at line 101 of file tankputaway.c. References EW_FAILURE, EW_SUCCESS, fpTank, and logit(). Referenced by PA_next_ev().